diff --git a/KitchenSink/Resources/examples/picker_date1.js b/KitchenSink/Resources/examples/picker_date1.js
index 7295c62..55428fe 100644
--- a/KitchenSink/Resources/examples/picker_date1.js
+++ b/KitchenSink/Resources/examples/picker_date1.js
@@ -1,15 +1,15 @@
 var win = Titanium.UI.currentWindow;
 win.backgroundColor = 'black';
 
-var minDate = new Date()
+var minDate = new Date();
 minDate.setFullYear(2009);
 minDate.setMonth(0);
-minDate.setDate(1)
+minDate.setDate(1);
 
-var maxDate = new Date()
+var maxDate = new Date();
 maxDate.setFullYear(2009);
 maxDate.setMonth(11);
-maxDate.setDate(31)
+maxDate.setDate(31);
 
 var value = new Date();
 value.setFullYear(2009);
@@ -20,7 +20,7 @@ var picker = Ti.UI.createPicker({
 	type:Ti.UI.PICKER_TYPE_DATE,
 	minDate:minDate,
 	maxDate:maxDate,
-	value:value,
+	value:value
 });
 
 // turn on the selection indicator (off by default)
@@ -43,7 +43,7 @@ picker.addEventListener('change',function(e)
 	label.text = e.value;
 });
 
-var locale = false
+var locale = false;
 var localebutton = Ti.UI.createButton({
 	title:'Change locale',
 	bottom:20,
diff --git a/KitchenSink/Resources/examples/picker_date3.js b/KitchenSink/Resources/examples/picker_date3.js
index dc4ebf8..97f0b74 100644
--- a/KitchenSink/Resources/examples/picker_date3.js
+++ b/KitchenSink/Resources/examples/picker_date3.js
@@ -1,15 +1,15 @@
 var win = Titanium.UI.currentWindow;
 win.backgroundColor = 'black';
 
-var minDate = new Date()
+var minDate = new Date();
 minDate.setFullYear(2009);
 minDate.setMonth(0);
-minDate.setDate(1)
+minDate.setDate(1);
 
-var maxDate = new Date()
+var maxDate = new Date();
 maxDate.setFullYear(2009);
 maxDate.setMonth(11);
-maxDate.setDate(31)
+maxDate.setDate(31);
 
 var value = new Date();
 value.setFullYear(2009);
diff --git a/KitchenSink/Resources/examples/platform.js b/KitchenSink/Resources/examples/platform.js
index d9e6d82..ebc397e 100644
--- a/KitchenSink/Resources/examples/platform.js
+++ b/KitchenSink/Resources/examples/platform.js
@@ -17,21 +17,13 @@ function batteryStateToString(state)
 	switch (state)
 	{
 		case Titanium.Platform.BATTERY_STATE_UNKNOWN:
-		{
 			return 'unknown';
-		}
 		case Titanium.Platform.BATTERY_STATE_UNPLUGGED:
-		{
 			return 'unplugged';
-		}
 		case Titanium.Platform.BATTERY_STATE_CHARGING:
-		{
 			return 'charging';
-		}
 		case Titanium.Platform.BATTERY_STATE_FULL:
-		{
 			return 'full';
-		}
 	}
 	return '???';
 }
@@ -91,8 +83,7 @@ var l5 = Titanium.UI.createLabel({
 	width:'auto',
 	height:'auto',
 	font:{fontSize:14},
-	color:'#777',
-	height:'auto'
+	color:'#777'
 });
 
 win.add(l5);
@@ -167,8 +158,7 @@ var l12 = Titanium.UI.createLabel({
 	width:300,
 	height:'auto',
 	font:{fontSize:14},
-	color:'#777',
-	height:'auto'
+	color:'#777'
 });
 
 win.add(l12);
@@ -245,27 +235,22 @@ b.addEventListener('click', function()
 	switch(openURL)
 	{
 		case 0:
-		{
 			Titanium.Platform.openURL('http://www.google.com');
 			b.title='Open URL (web)';
 			openURL++;
 			break;
-		}
+
 		case 1:
-		{
 			Titanium.Platform.openURL('tel:4043332222');
 			b.title='Open URL (tel)';
 			openURL++;
 			break;
-		}
+
 		case 2:
-		{
 			Titanium.Platform.openURL('sms:4043332222');
 			b.title='Open URL (sms)';
 			openURL=0;
 			break;
-		}
-
 	}
 });
 
diff --git a/KitchenSink/Resources/examples/progress_bar.js b/KitchenSink/Resources/examples/progress_bar.js
index 4bf1b4c..242fc07 100644
--- a/KitchenSink/Resources/examples/progress_bar.js
+++ b/KitchenSink/Resources/examples/progress_bar.js
@@ -8,50 +8,9 @@ var b = Titanium.UI.createButton({
 });
 
 //
-// BUTTON LISTENER TO KICK OFF PROGRESS BARS
-//
-b.addEventListener('click', function()
-{
-	ind.show();
-	ind2.show();
-	ind3.show();
-	ind4.show();
-
-	var val = 0;
-	var interval = setInterval(function()
-	{
-		Ti.API.info('INTERVAL FIRED value ' + val);
-		if (val == 11)
-		{
-			clearInterval(interval);
-			ind.hide();
-			ind2.hide();
-			ind3.hide();
-			ind4.hide();
-			win.setToolbar(null,{animated:true});
-			win.setTitleControl(null);
-			win.setTitle('Progress Bar');
-			return;
-		}
-		ind.value = val;
-		ind.message = 'Downloading ' + val + ' of 10';
-		ind2.value = val;
-		ind2.message = 'Downloading ' + val + ' of 10';
-		ind3.value = val;
-		ind3.message = 'Downloading ' + val + ' of 10';
-		ind4.value = val;
-		ind4.message = 'Downloading ' + val + ' of 10';
-
-		val++;
-
-	},1000);
-});
-
-
-//
 // PLAIN STYLE INDICATOR
 //
-var ind=Titanium.UI.createProgressBar({
+var ind1=Titanium.UI.createProgressBar({
 	width:150,
 	min:0,
 	max:10,
@@ -64,7 +23,6 @@ var ind=Titanium.UI.createProgressBar({
 	top:60
 });
 
-
 //
 // BAR STYLE INDICATOR
 //
@@ -81,7 +39,6 @@ var ind2=Titanium.UI.createProgressBar({
 	top:120
 });
 
-
 //
 // PLACE INDICATOR IN NAV BAR
 //
@@ -110,10 +67,50 @@ var ind4=Titanium.UI.createProgressBar({
 	style:Titanium.UI.iPhone.ProgressBarStyle.PLAIN
 });
 
+//
+// BUTTON LISTENER TO KICK OFF PROGRESS BARS
+//
+b.addEventListener('click', function()
+{
+	ind1.show();
+	ind2.show();
+	ind3.show();
+	ind4.show();
+
+	var val = 0;
+	var interval = setInterval(function()
+	{
+		Ti.API.info('INTERVAL FIRED value ' + val);
+		if (val == 11)
+		{
+			clearInterval(interval);
+			ind1.hide();
+			ind2.hide();
+			ind3.hide();
+			ind4.hide();
+			win.setToolbar(null,{animated:true});
+			win.setTitleControl(null);
+			win.setTitle('Progress Bar');
+			return;
+		}
+		ind1.value = val;
+		ind1.message = 'Downloading ' + val + ' of 10';
+		ind2.value = val;
+		ind2.message = 'Downloading ' + val + ' of 10';
+		ind3.value = val;
+		ind3.message = 'Downloading ' + val + ' of 10';
+		ind4.value = val;
+		ind4.message = 'Downloading ' + val + ' of 10';
+
+		val++;
+
+	},1000);
+});
+
 if (Titanium.Platform.name == 'iPhone OS')
 {
 	win.add(b);
-	win.add(ind);
+	win.add(ind1);
 	win.add(ind2);
 	win.setTitleControl(ind3);
 	win.setToolbar([ind4]);
diff --git a/KitchenSink/Resources/examples/screenshot.js b/KitchenSink/Resources/examples/screenshot.js
index 0df7162..19a6e3a 100644
--- a/KitchenSink/Resources/examples/screenshot.js
+++ b/KitchenSink/Resources/examples/screenshot.js
@@ -13,7 +13,7 @@ win.add(imageView);
 Titanium.Media.takeScreenshot(function(event)
 {
 	// set blob on image view
-	imageView.image = event.media
+	imageView.image = event.media;
 	win.setBackgroundColor('red');
 
 	var a = Titanium.UI.createAlertDialog();
diff --git a/KitchenSink/Resources/examples/scroll_views.js b/KitchenSink/Resources/examples/scroll_views.js
index e41114f..5ab6148 100644
--- a/KitchenSink/Resources/examples/scroll_views.js
+++ b/KitchenSink/Resources/examples/scroll_views.js
@@ -4,8 +4,7 @@ var data = [
 	{title:'Scrolling Tabs', hasChild:true, test:'../examples/scroll_views_tabs.js'},
 	{title:'Scrollable View', hasChild:true, test:'../examples/scroll_views_scrollable.js'},
 	{title:'Many on a Screen', hasChild:true, test:'../examples/scroll_views_many.js'},
-	{title:'Scroll Views TextArea', hasChild:true, test:'../examples/scroll_views_textareas.js'},
-
+	{title:'Scroll Views TextArea', hasChild:true, test:'../examples/scroll_views_textareas.js'}
 ];
 
 // add iphone specific tests
@@ -38,7 +37,7 @@ tableview.addEventListener('click', function(e)
 		{
 			win.backgroundImage = e.rowData.bgImage;
 		}
-		Titanium.UI.currentTab.open(win,{animated:true})
+		Titanium.UI.currentTab.open(win,{animated:true});
 	}
 });
 
diff --git a/KitchenSink/Resources/examples/scroll_views_basic.js b/KitchenSink/Resources/examples/scroll_views_basic.js
index c637d4b..1cd5b83 100644
--- a/KitchenSink/Resources/examples/scroll_views_basic.js
+++ b/KitchenSink/Resources/examples/scroll_views_basic.js
@@ -1,4 +1,4 @@
-var win = Titanium.UI.currentWindow
+var win = Titanium.UI.currentWindow;
 
 var scrollView = Titanium.UI.createScrollView({
 	contentWidth:'auto',
diff --git a/KitchenSink/Resources/examples/scroll_views_many.js b/KitchenSink/Resources/examples/scroll_views_many.js
index 08e4926..681a783 100644
--- a/KitchenSink/Resources/examples/scroll_views_many.js
+++ b/KitchenSink/Resources/examples/scroll_views_many.js
@@ -1,4 +1,4 @@
-var win = Titanium.UI.currentWindow
+var win = Titanium.UI.currentWindow;
 
 //
 // SCROLL VIEW 1
@@ -31,7 +31,7 @@ var l1 = Ti.UI.createLabel({
 	width:'auto',
 	height:'auto'
 });
-view1.add(l1)
+view1.add(l1);
 scrollView1.add(view1);
 win.add(scrollView1);
 
@@ -66,7 +66,7 @@ var l2 = Ti.UI.createLabel({
 	width:'auto',
 	height:'auto'
 });
-view2.add(l2)
+view2.add(l2);
 scrollView2.add(view2);
 win.add(scrollView2);
 
@@ -108,7 +108,7 @@ if (Titanium.Platform.name == 'iPhone OS')
 		width:'auto',
 		height:'auto'
 	});
-	view3.add(l3)
+	view3.add(l3);
 	scrollView3.add(view3);
 	win.add(scrollView3);
 	
@@ -143,7 +143,7 @@ if (Titanium.Platform.name == 'iPhone OS')
 		width:'auto',
 		height:'auto'
 	});
-	view4.add(l4)
+	view4.add(l4);
 	scrollView4.add(view4);
 	win.add(scrollView4);
 }
diff --git a/KitchenSink/Resources/examples/scroll_views_scaling.js b/KitchenSink/Resources/examples/scroll_views_scaling.js
index 562e83b..51753dc 100644
--- a/KitchenSink/Resources/examples/scroll_views_scaling.js
+++ b/KitchenSink/Resources/examples/scroll_views_scaling.js
@@ -1,4 +1,4 @@
-var win = Titanium.UI.currentWindow
+var win = Titanium.UI.currentWindow;
 
 var scrollView = Titanium.UI.createScrollView({
 	contentWidth:'auto',
diff --git a/KitchenSink/Resources/examples/scroll_views_scrollable.js b/KitchenSink/Resources/examples/scroll_views_scrollable.js
index 90c78c2..85cb729 100644
--- a/KitchenSink/Resources/examples/scroll_views_scrollable.js
+++ b/KitchenSink/Resources/examples/scroll_views_scrollable.js
@@ -5,7 +5,7 @@ win.backgroundColor = '#ccc';
 win.orientationModes = [
 	Titanium.UI.PORTRAIT,
 	Titanium.UI.LANDSCAPE_LEFT,
-	Titanium.UI.LANDSCAPE_RIGHT,
+	Titanium.UI.LANDSCAPE_RIGHT
 ];
 
 
@@ -14,7 +14,6 @@ win.orientationModes = [
 //
 Ti.Gesture.addEventListener('orientationchange',function(e)
 {
-
 	// get orienation from event object
 	var orientation = getOrientation(e.orientation);
 });
@@ -69,7 +68,7 @@ var scrollView = Titanium.UI.createScrollableView({
 	showPagingControl:true,
 	pagingControlHeight:30,
 	maxZoomScale:2.0,
-	currentPage:1,
+	currentPage:1
 });
 
 win.add(scrollView);
@@ -79,7 +78,7 @@ var activeView = view1;
 
 scrollView.addEventListener('scroll', function(e)
 {
-    activeView = e.view  // the object handle to the view that is about to become visible
+    activeView = e.view;  // the object handle to the view that is about to become visible
 	i = e.currentPage;
 	Titanium.API.info("scroll called - current index " + i + ' active view ' + activeView);
 });
@@ -145,13 +144,12 @@ change.addEventListener('click',function()
 	{
 		if (x==i)
 		{
-			Ti.API.info('SETTING TO NEW VIEW ' + x)
-			ar[x] = newView
+			Ti.API.info('SETTING TO NEW VIEW ' + x);
+			ar[x] = newView;
 		}
 		else
 		{
-			Ti.API.info('SETTING TO OLD VIEW ' + x)
-
+			Ti.API.info('SETTING TO OLD VIEW ' + x);
 			ar[x] = scrollView.views[x];
 		}
 	}
@@ -164,9 +162,12 @@ var left = Titanium.UI.createButton({
 });
 left.addEventListener('click', function(e)
 {
-	if (i == 0) return;
+	if (i == 0)
+	{
+		return;
+	}
 	i--;
-	scrollView.scrollToView(i)
+	scrollView.scrollToView(i);
 });
 
 // move scroll view right
@@ -175,7 +176,10 @@ var right = Titanium.UI.createButton({
 });
 right.addEventListener('click', function(e)
 {
-	if (i == (scrollView.views.length-1)) return;
+	if (i == (scrollView.views.length-1))
+	{
+		return;
+	}
 	i++;
 	scrollView.scrollToView(scrollView.views[i]);
 });
@@ -204,7 +208,7 @@ else
 		width:320,
 		height: 'auto',
 		opacity: 0
-	})
+	});
 
 	toolbar.add(floater);
 
diff --git a/KitchenSink/Resources/examples/scroll_views_tabs.js b/KitchenSink/Resources/examples/scroll_views_tabs.js
index d5dd40b..39fc372 100644
--- a/KitchenSink/Resources/examples/scroll_views_tabs.js
+++ b/KitchenSink/Resources/examples/scroll_views_tabs.js
@@ -1,4 +1,4 @@
-var win = Titanium.UI.currentWindow
+var win = Titanium.UI.currentWindow;
 win.backgroundColor = '#000';
 
 var leftImage = Ti.UI.createView({
@@ -29,7 +29,7 @@ var scrollView = Titanium.UI.createScrollView({
 	height:50,
 	width:230,
 	borderRadius:10,
-	backgroundColor:'#13386c',
+	backgroundColor:'#13386c'
 
 });
 
@@ -225,8 +225,7 @@ var scrollView2 = Titanium.UI.createScrollView({
 win.add(scrollView2);
 scrollView2.addEventListener('scroll', function(e)
 {
-	for(v in e)
-	{
+	for(var v in e)	{
 		Ti.API.info('v ' + v + ' e[v] ' + e[v]);
 	}
 });
diff --git a/KitchenSink/Resources/examples/scroll_views_without_clipping.js b/KitchenSink/Resources/examples/scroll_views_without_clipping.js
index 391a62f..f202351 100644
--- a/KitchenSink/Resources/examples/scroll_views_without_clipping.js
+++ b/KitchenSink/Resources/examples/scroll_views_without_clipping.js
@@ -95,7 +95,7 @@ var tableview3 = Titanium.UI.createTableView({
 	backgroundColor:'transparent',
 	separatorStyle:0,
 	transform:t3,
-	visible:true,
+	visible:true
 
 });
 
@@ -122,10 +122,18 @@ var scrollView = Titanium.UI.createScrollableView({
 	top:10,
 	left:30,
 	right:30,
-	height:330,
+	height:330
 });
 win.add(scrollView);
 
+function showTableView()
+{
+	tableview.visible=true;
+	scrollView.visible=false;
+	var t = Ti.UI.create2DMatrix();
+	tableview.animate({transform:t,duration:100});
+}
+
 iv1.addEventListener('singletap', function()
 {
 	showTableView();
@@ -139,13 +147,4 @@ iv3.addEventListener('singletap', function()
 	showTableView();
 });
 
-function showTableView()
-{
-	tableview.visible=true;
-	scrollView.visible=false;
-	var t = Ti.UI.create2DMatrix();
-	tableview.animate({transform:t,duration:100});
-	
-};
-
 
diff --git a/KitchenSink/Resources/examples/searchbar.js b/KitchenSink/Resources/examples/searchbar.js
index 0a4e06e..d3f0e96 100644
--- a/KitchenSink/Resources/examples/searchbar.js
+++ b/KitchenSink/Resources/examples/searchbar.js
@@ -4,7 +4,7 @@ var search = Titanium.UI.createSearchBar({
 	barColor:'#000', 
 	showCancel:true,
 	height:43,
-	top:0,
+	top:0
 });
 
 win.add(search);
@@ -54,7 +54,7 @@ var b3 = Titanium.UI.createButton({
 win.add(b3);
 b3.addEventListener('click', function()
 {
-	search.showCancel = (search.showCancel==true)?false:true;
+	search.showCancel = (!search.showCancel);
 });
 
 //
@@ -117,9 +117,9 @@ search.addEventListener('return', function(e)
 });
 search.addEventListener('focus', function(e)
 {
-   	Titanium.API.info('search bar: focus received')
+   	Titanium.API.info('search bar: focus received');
 });
 search.addEventListener('blur', function(e)
 {
-   	Titanium.API.info('search bar:blur received')
+   	Titanium.API.info('search bar:blur received');
 });
diff --git a/KitchenSink/Resources/examples/set_timeout.js b/KitchenSink/Resources/examples/set_timeout.js
index bb3d245..9f5d5d2 100644
--- a/KitchenSink/Resources/examples/set_timeout.js
+++ b/KitchenSink/Resources/examples/set_timeout.js
@@ -8,7 +8,7 @@ var label = Ti.UI.createLabel({
 });
 
 var act = Ti.UI.createActivityIndicator({
-	bottom:10,
+	bottom:10
 });
 act.style = Titanium.UI.iPhone.ActivityIndicatorStyle.DARK;
 act.font = {fontFamily:'Helvetica Neue', fontSize:15,fontWeight:'bold'};
diff --git a/KitchenSink/Resources/examples/slider.js b/KitchenSink/Resources/examples/slider.js
index 2fbce75..56ab344 100644
--- a/KitchenSink/Resources/examples/slider.js
+++ b/KitchenSink/Resources/examples/slider.js
@@ -212,7 +212,7 @@ titleButton.addEventListener('click', function()
 win.add(basicSliderLabel);
 win.add(basicSlider);
 win.add(toggleButton);
-Ti.API.info('platform = ' + Titanium.Platform.osname)
+Ti.API.info('platform = ' + Titanium.Platform.osname);
 if (Titanium.Platform.osname == 'iphone' || Titanium.Platform.osname == 'ipad')
 {
 	win.add(navbarButton);
diff --git a/KitchenSink/Resources/examples/soap_client_library.js b/KitchenSink/Resources/examples/soap_client_library.js
index d853141..7c0fc79 100644
--- a/KitchenSink/Resources/examples/soap_client_library.js
+++ b/KitchenSink/Resources/examples/soap_client_library.js
@@ -94,8 +94,8 @@ SOAPClient._loadWsdl = function(url, method, parameters, async, callback)
 	};
 	xmlHttp.onerror = function(e)
 	{
-		Ti.API.error('WSDL ERROR ' + e)
-	}
+		Ti.API.error('WSDL ERROR ' + e);
+	};
 	xmlHttp.send(null);
 
 	// if (!async)
@@ -230,7 +230,6 @@ SOAPClient._node2object = function(node, wsdl)
 		}
 		return l;
 	}
-	return null;
 };
 
 SOAPClient._extractValue = function(node, wsdl)
diff --git a/KitchenSink/Resources/examples/sockets.js b/KitchenSink/Resources/examples/sockets.js
index dd6ee52..6e5f123 100644
--- a/KitchenSink/Resources/examples/sockets.js
+++ b/KitchenSink/Resources/examples/sockets.js
@@ -27,7 +27,7 @@ win.add(readLabel);
 
 socket.addEventListener('read', function(e) {
 	messageLabel.text = "I'm a reader!";
-	readLabel.text = e['from'] + ':' + e['data'].text;
+	readLabel.text = e.from + ':' + e.data.text;
 });
 
 var connectButton = Titanium.UI.createButton({
diff --git a/KitchenSink/Resources/examples/sound_file.js b/KitchenSink/Resources/examples/sound_file.js
index edf1b20..3f9e517 100644
--- a/KitchenSink/Resources/examples/sound_file.js
+++ b/KitchenSink/Resources/examples/sound_file.js
@@ -5,6 +5,12 @@ var file = Titanium.Filesystem.getFile(Titanium.Filesystem.resourcesDirectory,'c
 // load from file object
 var sound = Titanium.Media.createSound({sound:file});
 
+var pb = Titanium.UI.createProgressBar({
+	min:0,
+	value:0,
+	width:200
+});
+
 //
 // PLAY
 //
@@ -110,13 +116,16 @@ volumeDown.addEventListener('click', function()
 	if (sound.volume > 0)
 	{
 		if (sound.volume < 0.1)
+    	{
 			sound.volume = 0;
+    	}
 		else
+    	{
 			sound.volume -= 0.1;
+    	}
 		volumeDown.title = 'Volume-- (' + String(sound.volume).substring(0,3) + ')';
 		volumeUp.title = 'Volume++';
 	}
-
 });
 
 win.add(volumeUp);
@@ -134,7 +143,7 @@ var looping = Titanium.UI.createButton({
 });
 looping.addEventListener('click', function()
 {
-	sound.looping = (sound.looping==false)?true:false;
+	sound.looping = (!sound.looping);
 	looping.title = 'Looping (' + sound.looping + ')';
 });
 win.add(looping);
@@ -157,11 +166,6 @@ sound.addEventListener('resume', function()
 var flexSpace = Titanium.UI.createButton({
 	systemButton:Titanium.UI.iPhone.SystemButton.FLEXIBLE_SPACE
 });
-var pb = Titanium.UI.createProgressBar({
-	min:0,
-	value:0,
-	width:200
-});
 
 win.setToolbar([flexSpace,pb,flexSpace]);
 pb.show();
@@ -173,7 +177,7 @@ var i = setInterval(function()
 {
 	if (sound.isPlaying())
 	{
-		Ti.API.info('time ' + sound.time)
+		Ti.API.info('time ' + sound.time);
 		pb.value = sound.time;
 
 	}
diff --git a/KitchenSink/Resources/examples/sound_file_url.js b/KitchenSink/Resources/examples/sound_file_url.js
index 9f760f9..25dc609 100644
--- a/KitchenSink/Resources/examples/sound_file_url.js
+++ b/KitchenSink/Resources/examples/sound_file_url.js
@@ -5,6 +5,12 @@ var file = Titanium.Filesystem.getFile(Titanium.Filesystem.resourcesDirectory,'c
 // load from file object but use the nativepath
 var sound = Titanium.Media.createSound({url:file.nativePath});
 
+var pb = Titanium.UI.createProgressBar({
+	min:0,
+	value:0,
+	width:200
+});
+
 //
 // PLAY
 //
@@ -74,7 +80,7 @@ stop.addEventListener('click', function()
 win.add(stop);
 
 //
-// VOLUME +
+// VOLUME +, -
 //
 var volumeUp = Titanium.UI.createButton({
 	title:'Volume++',
@@ -83,6 +89,15 @@ var volumeUp = Titanium.UI.createButton({
 	left:10,
 	top:110
 });
+
+var volumeDown = Titanium.UI.createButton({
+	title:'Volume--',
+	height:40,
+	width:145,
+	right:10,
+	top:110
+});
+
 volumeUp.addEventListener('click', function()
 {
 	if (sound.volume < 1.0)
@@ -94,28 +109,21 @@ volumeUp.addEventListener('click', function()
 });
 win.add(volumeUp);
 
-//
-// VOLUME -
-//
-var volumeDown = Titanium.UI.createButton({
-	title:'Volume--',
-	height:40,
-	width:145,
-	right:10,
-	top:110
-});
 volumeDown.addEventListener('click', function()
 {
 	if (sound.volume > 0)
 	{
 		if (sound.volume < 0.1)
+		{
 			sound.volume = 0;
+		}
 		else
+		{
 			sound.volume -= 0.1;
+		}
 		volumeDown.title = 'Volume-- (' + String(sound.volume).substring(0,3) + ')';
 		volumeUp.title = 'Volume++';
 	}
-
 });
 win.add(volumeDown);
 
@@ -131,7 +139,7 @@ var looping = Titanium.UI.createButton({
 });
 looping.addEventListener('click', function()
 {
-	sound.looping = (sound.looping==false)?true:false;
+	sound.looping = (!sound.looping);
 	looping.title = 'Looping (' + sound.isLooping() + ')';
 });
 win.add(looping);
@@ -154,11 +162,6 @@ sound.addEventListener('resume', function()
 var flexSpace = Titanium.UI.createButton({
 	systemButton:Titanium.UI.iPhone.SystemButton.FLEXIBLE_SPACE
 });
-var pb = Titanium.UI.createProgressBar({
-	min:0,
-	value:0,
-	width:200
-});
 
 win.setToolbar([flexSpace,pb,flexSpace]);
 pb.show();
@@ -170,7 +173,7 @@ var i = setInterval(function()
 {
 	if (sound.isPlaying())
 	{
-		Ti.API.info('time ' + sound.time)
+		Ti.API.info('time ' + sound.time);
 		pb.value = sound.time;
 
 	}
diff --git a/KitchenSink/Resources/examples/sound_local.js b/KitchenSink/Resources/examples/sound_local.js
index c7f2b8c..d845f09 100644
--- a/KitchenSink/Resources/examples/sound_local.js
+++ b/KitchenSink/Resources/examples/sound_local.js
@@ -9,6 +9,12 @@ var sound = Titanium.Media.createSound({
 	url:'../cricket.wav'
 });
 
+var pb = Titanium.UI.createProgressBar({
+	min:0,
+	value:0,
+	width:200
+});
+
 //
 // PLAY
 //
@@ -78,7 +84,7 @@ stop.addEventListener('click', function()
 win.add(stop);
 
 //
-// VOLUME +
+// VOLUME +, -
 //
 var volumeUp = Titanium.UI.createButton({
 	title:'Volume++',
@@ -87,6 +93,15 @@ var volumeUp = Titanium.UI.createButton({
 	left:10,
 	top:110
 });
+
+var volumeDown = Titanium.UI.createButton({
+	title:'Volume--',
+	height:40,
+	width:145,
+	right:10,
+	top:110
+});
+
 volumeUp.addEventListener('click', function()
 {
 	if (sound.volume < 1.0)
@@ -98,24 +113,18 @@ volumeUp.addEventListener('click', function()
 });
 win.add(volumeUp);
 
-//
-// VOLUME -
-//
-var volumeDown = Titanium.UI.createButton({
-	title:'Volume--',
-	height:40,
-	width:145,
-	right:10,
-	top:110
-});
 volumeDown.addEventListener('click', function()
 {
 	if (sound.volume > 0)
 	{
 		if (sound.volume < 0.1)
+		{
 			sound.volume = 0;
+		}
 		else
+		{
 			sound.volume -= 0.1;
+		}
 		volumeDown.title = 'Volume-- (' + String(sound.volume).substring(0,3) + ')';
 		volumeUp.title = 'Volume++';
 	}
@@ -135,7 +144,7 @@ var looping = Titanium.UI.createButton({
 });
 looping.addEventListener('click', function()
 {
-	sound.looping = (sound.looping==false)?true:false;
+	sound.looping = (!sound.looping);
 	looping.title = 'Looping (' + sound.isLooping() + ')';
 });
 win.add(looping);
@@ -200,11 +209,6 @@ sound.addEventListener('resume', function()
 var flexSpace = Titanium.UI.createButton({
 	systemButton:Titanium.UI.iPhone.SystemButton.FLEXIBLE_SPACE
 });
-var pb = Titanium.UI.createProgressBar({
-	min:0,
-	value:0,
-	width:200
-});
 
 win.setToolbar([flexSpace,pb,flexSpace]);
 pb.show();
diff --git a/KitchenSink/Resources/examples/sound_record.js b/KitchenSink/Resources/examples/sound_record.js
index 17c9cc5..d1dce93 100644
--- a/KitchenSink/Resources/examples/sound_record.js
+++ b/KitchenSink/Resources/examples/sound_record.js
@@ -12,13 +12,6 @@ var recording = Ti.Media.createAudioRecorder();
 recording.compression = Ti.Media.AUDIO_FORMAT_ULAW;
 recording.format = Ti.Media.AUDIO_FILEFORMAT_WAVE;
 
-Ti.Media.addEventListener('recordinginput', function(e) {
-	Ti.API.info('Input availability changed: '+e.available);
-	if (!e.available && recording.recording) {
-		b1.fireEvent('click', {});
-	}
-});
-
 var file;
 var timer;
 var sound;
@@ -111,6 +104,14 @@ var b1 = Titanium.UI.createButton({
 	height:40,
 	top:20
 });
+
+var b2 = Titanium.UI.createButton({
+	title:'Playback Recording',
+	width:200,
+	height:40,
+	top:80
+});
+
 b1.addEventListener('click', function()
 {
 	if (recording.recording)
@@ -139,15 +140,8 @@ b1.addEventListener('click', function()
 	}
 });
 win.add(b1);
-
-var b2 = Titanium.UI.createButton({
-	title:'Playback Recording',
-	width:200,
-	height:40,
-	top:80
-});
-
 win.add(b2);
+
 b2.addEventListener('click', function()
 {
 	if (sound && sound.playing)
@@ -180,7 +174,7 @@ var switchLabel = Titanium.UI.createLabel({
 });
 var switcher = Titanium.UI.createSwitch({
 	value:false,
-	bottom:80,
+	bottom:80
 });
 
 switcher.addEventListener('change',function(e)
@@ -196,3 +190,11 @@ switcher.addEventListener('change',function(e)
 });
 win.add(switchLabel);
 win.add(switcher);
+
+Ti.Media.addEventListener('recordinginput', function(e) {
+	Ti.API.info('Input availability changed: '+e.available);
+	if (!e.available && recording.recording) {
+		b1.fireEvent('click', {});
+	}
+});
+
diff --git a/KitchenSink/Resources/examples/sound_remote_url.js b/KitchenSink/Resources/examples/sound_remote_url.js
index 4bf1f52..a439978 100644
--- a/KitchenSink/Resources/examples/sound_remote_url.js
+++ b/KitchenSink/Resources/examples/sound_remote_url.js
@@ -5,6 +5,12 @@ var url = "http://www.nch.com.au/acm/8kmp38.wav";
 // load from remote url
 var sound = Titanium.Media.createSound({url:url,preload:true});
 
+var pb = Titanium.UI.createProgressBar({
+	min:0,
+	value:0,
+	width:200
+});
+
 //
 // PLAY
 //
@@ -74,7 +80,7 @@ stop.addEventListener('click', function()
 win.add(stop);
 
 //
-// VOLUME +
+// VOLUME +, -
 //
 var volumeUp = Titanium.UI.createButton({
 	title:'Volume++',
@@ -83,6 +89,15 @@ var volumeUp = Titanium.UI.createButton({
 	left:10,
 	top:110
 });
+
+var volumeDown = Titanium.UI.createButton({
+	title:'Volume--',
+	height:40,
+	width:145,
+	right:10,
+	top:110
+});
+
 volumeUp.addEventListener('click', function()
 {
 	if (sound.volume < 1.0)
@@ -94,28 +109,21 @@ volumeUp.addEventListener('click', function()
 });
 win.add(volumeUp);
 
-//
-// VOLUME -
-//
-var volumeDown = Titanium.UI.createButton({
-	title:'Volume--',
-	height:40,
-	width:145,
-	right:10,
-	top:110
-});
 volumeDown.addEventListener('click', function()
 {
 	if (sound.volume > 0)
 	{
 		if (sound.volume < 0.1)
+		{
 			sound.volume = 0;
+		}
 		else
+		{
 			sound.volume -= 0.1;
+		}
 		volumeDown.title = 'Volume-- (' + String(sound.volume).substring(0,3) + ')';
 		volumeUp.title = 'Volume++';
 	}
-
 });
 win.add(volumeDown);
 
@@ -131,7 +139,7 @@ var looping = Titanium.UI.createButton({
 });
 looping.addEventListener('click', function()
 {
-	sound.looping = (sound.isLooping()==false)?true:false;
+	sound.looping = (!sound.isLooping());
 	looping.title = 'Looping (' + sound.isLooping() + ')';
 });
 win.add(looping);
@@ -142,7 +150,6 @@ win.add(looping);
 sound.addEventListener('complete', function()
 {
 	Titanium.API.info('COMPLETE CALLED');
-
 	pb.value = 0;
 });
 sound.addEventListener('resume', function()
@@ -156,11 +163,6 @@ sound.addEventListener('resume', function()
 var flexSpace = Titanium.UI.createButton({
 	systemButton:Titanium.UI.iPhone.SystemButton.FLEXIBLE_SPACE
 });
-var pb = Titanium.UI.createProgressBar({
-	min:0,
-	value:0,
-	width:200,
-});
 
 win.setToolbar([flexSpace,pb,flexSpace]);
 pb.show();
@@ -172,9 +174,8 @@ var i = setInterval(function()
 {
 	if (sound.isPlaying())
 	{
-		Ti.API.info('time ' + sound.time)
+		Ti.API.info('time ' + sound.time);
 		pb.value = sound.time;
-
 	}
 },500);
 
diff --git a/KitchenSink/Resources/examples/sound_session_mode.js b/KitchenSink/Resources/examples/sound_session_mode.js
index 68d757f..3b75a64 100644
--- a/KitchenSink/Resources/examples/sound_session_mode.js
+++ b/KitchenSink/Resources/examples/sound_session_mode.js
@@ -1,11 +1,28 @@
 var win = Titanium.UI.currentWindow;
 
 var count = 0;
+var audio = Ti.Media.createAudioPlayer({url:'http://202.6.74.107:8060/triplej.mp3'});
+var sound = Titanium.Media.createSound({url:'../cricket.wav'});
+var modeArray = [
+	{mode:Ti.Media.AUDIO_SESSION_MODE_SOLO_AMBIENT,desc:'Solo Ambient Mode'},
+	{mode:Ti.Media.AUDIO_SESSION_MODE_AMBIENT,desc:'Ambient Mode'},
+	{mode:Ti.Media.AUDIO_SESSION_MODE_PLAYBACK,desc:'Playback Mode'},
+	{mode:Ti.Media.AUDIO_SESSION_MODE_RECORD,desc:'Record Mode'},
+	{mode:Ti.Media.AUDIO_SESSION_MODE_PLAY_AND_RECORD,desc:'Play and Record Mode'}
+];
+
 
 // Need this so that any sound which is playing when we come in continues to
 // do so
 Titanium.Media.defaultAudioSessionMode = Ti.Media.AUDIO_SESSION_MODE_AMBIENT;
 
+var l = Ti.UI.createLabel({
+	text:'Play sounds to toggle audio mode - try running this test when you have the iPod playing!',
+	top:210,
+	width:300,
+	height:30
+});
+
 var startAudio = Titanium.UI.createButton({
 	title:'Toggle Audio Session Mode',
 	top:10,
@@ -14,11 +31,18 @@ var startAudio = Titanium.UI.createButton({
 });
 startAudio.addEventListener('click', function()
 {
-	if (count == 4)count=0; else count++
+	if (count == 4)
+	{
+		count=0;
+	}
+	else
+	{
+		count++;
+	}
 	Ti.API.info('playing audio with mode ' + modeArray[count].desc + ' count ' + count);
 	audio.audioSessionMode = modeArray[count].mode;
-	l.text = modeArray[count].desc
-	audio.start()
+	l.text = modeArray[count].desc;
+	audio.start();
 });
 
 var stopAudio = Titanium.UI.createButton({
@@ -40,12 +64,18 @@ var startSound = Titanium.UI.createButton({
 });
 startSound.addEventListener('click', function()
 {
-	if (count == 4)count=0; else count++
+	if (count == 4)
+	{
+		count=0;
+	}
+	else
+	{
+		count++;
+	}
 	Ti.API.info('playing sound with mode ' + modeArray[count].desc + ' count ' + count);
 	sound.audioSessionMode = modeArray[count].mode;
 	l.text = modeArray[count].desc;
-	sound.play()
-	
+	sound.play();
 });
 
 var stopSound = Titanium.UI.createButton({
@@ -56,14 +86,7 @@ var stopSound = Titanium.UI.createButton({
 });
 stopSound.addEventListener('click', function()
 {
-	sound.stop()
-});
-
-var l = Ti.UI.createLabel({
-	text:'Play sounds to toggle audio mode - try running this test when you have the iPod playing!',
-	top:210,
-	width:300,
-	height:30
+	sound.stop();
 });
 
 win.add(startAudio);
@@ -71,15 +94,3 @@ win.add(stopAudio);
 win.add(startSound);
 win.add(stopSound);
 win.add(l);
-
-var modeArray = [
-	{mode:Ti.Media.AUDIO_SESSION_MODE_SOLO_AMBIENT,desc:'Solo Ambient Mode'},
-	{mode:Ti.Media.AUDIO_SESSION_MODE_AMBIENT,desc:'Ambient Mode'},
-	{mode:Ti.Media.AUDIO_SESSION_MODE_PLAYBACK,desc:'Playback Mode'},
-	{mode:Ti.Media.AUDIO_SESSION_MODE_RECORD,desc:'Record Mode'},
-	{mode:Ti.Media.AUDIO_SESSION_MODE_PLAY_AND_RECORD,desc:'Play and Record Mode'}
-];
-
-var audio = Ti.Media.createAudioPlayer({url:'http://202.6.74.107:8060/triplej.mp3'});
-var sound = Titanium.Media.createSound({url:'../cricket.wav'});
-
diff --git a/KitchenSink/Resources/examples/statusbar.js b/KitchenSink/Resources/examples/statusbar.js
index f603d2b..312cdeb 100644
--- a/KitchenSink/Resources/examples/statusbar.js
+++ b/KitchenSink/Resources/examples/statusbar.js
@@ -35,29 +35,24 @@ b2.addEventListener('click', function()
 	switch(style)
 	{
 		case 0:
-		{
 			Titanium.UI.iPhone.statusBarStyle = Titanium.UI.iPhone.StatusBar.OPAQUE_BLACK;
 			style++;
 			break;
-		}
+
 		case 1:
-		{
 			Titanium.UI.iPhone.statusBarStyle = Titanium.UI.iPhone.StatusBar.GRAY;
 			style++;
 			break;
-		}
+
 		case 2:
-		{
 			Titanium.UI.iPhone.statusBarStyle = Titanium.UI.iPhone.StatusBar.TRANSLUCENT_BLACK;
 			style++;
 			break;
-		}
+
 		case 3:
-		{
 			Titanium.UI.iPhone.statusBarStyle = Titanium.UI.iPhone.StatusBar.DEFAULT;
 			style=0;
 			break;
-		}
 	}
 });
 win.add(b2);
\ No newline at end of file
